<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="
        http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
        http://www.springframework.org/schema/context 
        http://www.springframework.org/schema/context/spring-context-3.0.xsd
        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">

	<!--  bean id="corsFilter" class="filters.CORSFilter" / -->
	
	   
    <bean id="hibernateProperties" 
    	class="org.springframework.beans.factory.config.PropertiesFactoryBean">
        <property name="locations">
            <list>
                <value>/WEB-INF/properties/hibernate.properties</value>
            </list>
        </property>
    </bean>
 
	<bean id="sessionFactory"
		 class="org.springframework.orm.hibernate4.LocalSessionFactoryBean">
		 
		<property name="configLocation">
			<value>/WEB-INF/hibernate.cfg.xml</value>
		</property>
		
<!-- 		<property name="configurationClass"> -->
<!-- 			<value>org.hibernate.cfg.AnnotationConfiguration</value> -->
<!-- 		</property> -->

 		<property name="hibernateProperties">
			<ref bean="hibernateProperties" />
		</property>

	</bean>


	<!-- Definizione del gestore delle transazioni di hibernate -->
	<bean id="serviceTransactionManager"
		  class="org.springframework.orm.hibernate4.HibernateTransactionManager"> 
		<property name="sessionFactory">
			<ref bean="sessionFactory" />
		</property>
	</bean>

 	<context:property-placeholder location="/WEB-INF/properties/app.properties"/> 

	<util:properties id="appProperties"
		location="/WEB-INF/properties/app.properties" />

</beans>
    
  